Loading...
Searching...
No Matches
casacore::DFTServer< T > Class Template Reference
scimath package (libcasa_scimath) » Mathematics_module

Class containing methods for doing n-D slow Fourier transforms. More...

`#include <DFTServer.h>`

## Public Member Functions

| DFTServer ()
| default constructor
| DFTServer (const DFTServer< T > &)
| copy constructor
| DFTServer (Array< T > &, Array< T > &)
| Other constructors.
| DFTServer (int, int, int)
| DFTServer (IPosition &, IPosition &)
| ~DFTServer ()
| destructor
DFTServer< T > & | operator= (const DFTServer< T > &)
| assignment
void | rcdft (Array< T > &, Array< T > &)
| n-d real <-> complex dft
void | crdft (Array< T > &, Array< T > &)
| n-d complex <-> real dft
void | cxdft (Array< T > &, Array< T > &, int)
| n-d complex <-> complex dft
void | showReal (Array< T > &)
| display only the real component of the data
void | showComplex (Array< T > &)
| display both the real and the imaginary components of the data

## Private Member Functions

void | c2c (Matrix< T > &, Matrix< T > &, int)
| does a complex to complex DFT
Matrix< T > | getMatrix (Array< T > &)
| turn a general array into a matrix

## Private Attributes

int | dimension
| dimension of the both input and output data
int | numTime
| number of time data points
int | numFreq
| number of frequency data points
int | crFlag
| set to 1 (true) if a crfft is done

## Detailed Description

template<class T>
class casacore::DFTServer< T >

Class containing methods for doing n-D slow Fourier transforms.

### Synopsis

The DFTServer class contains methods for doing n-dimensional Slow Fourier Transforms. (In practice, the maximum dimension is 3).

Definition at line 72 of file DFTServer.h.

## Constructor & Destructor Documentation

## DFTServer() [1/5]

template<class T>

casacore::DFTServer< T >::DFTServer | ( |  | ) |

default constructor

Referenced by DFTServer(), and operator=().

## DFTServer() [2/5]

template<class T>

casacore::DFTServer< T >::DFTServer | ( | const DFTServer< T > & |  | ) |

copy constructor

References DFTServer().

## DFTServer() [3/5]

template<class T>

casacore::DFTServer< T >::DFTServer | ( | Array< T > & | ,
|  | Array< T > & | )

Other constructors.

## DFTServer() [4/5]

template<class T>

casacore::DFTServer< T >::DFTServer | ( | int | ,
|  | int | ,
|  | int | )

## DFTServer() [5/5]

template<class T>

casacore::DFTServer< T >::DFTServer | ( | IPosition & | ,
|  | IPosition & | )

## ~DFTServer()

template<class T>

casacore::DFTServer< T >::~DFTServer | ( |  | ) |

destructor

## Member Function Documentation

## c2c()

template<class T>

void casacore::DFTServer< T >::c2c | ( | Matrix< T > & | ,
|  | Matrix< T > & | ,
|  | int | )

private

does a complex to complex DFT

## crdft()

template<class T>

void casacore::DFTServer< T >::crdft | ( | Array< T > & | ,
|  | Array< T > & | )

n-d complex <-> real dft

## cxdft()

template<class T>

void casacore::DFTServer< T >::cxdft | ( | Array< T > & | ,
|  | Array< T > & | ,
|  | int | )

n-d complex <-> complex dft

## getMatrix()

template<class T>

Matrix< T > casacore::DFTServer< T >::getMatrix | ( | Array< T > & |  | ) |

private

turn a general array into a matrix

## operator=()

template<class T>

DFTServer< T > & casacore::DFTServer< T >::operator= | ( | const DFTServer< T > & |  | ) |

assignment

References DFTServer().

## rcdft()

template<class T>

void casacore::DFTServer< T >::rcdft | ( | Array< T > & | ,
|  | Array< T > & | )

n-d real <-> complex dft

## showComplex()

template<class T>

void casacore::DFTServer< T >::showComplex | ( | Array< T > & |  | ) |

display both the real and the imaginary components of the data

## showReal()

template<class T>

void casacore::DFTServer< T >::showReal | ( | Array< T > & |  | ) |

display only the real component of the data

## Member Data Documentation

## crFlag

template<class T>

int casacore::DFTServer< T >::crFlag

private

set to 1 (true) if a crfft is done

Definition at line 120 of file DFTServer.h.

## dimension

template<class T>

int casacore::DFTServer< T >::dimension

private

dimension of the both input and output data

Definition at line 111 of file DFTServer.h.

## numFreq

template<class T>

int casacore::DFTServer< T >::numFreq

private

number of frequency data points

Definition at line 117 of file DFTServer.h.

## numTime

template<class T>

int casacore::DFTServer< T >::numTime

private

number of time data points

Definition at line 114 of file DFTServer.h.

The documentation for this class was generated from the following file:

- scimath/Mathematics/DFTServer.h